PATH: //proc/thread-self/root/proc/thread-self/root/bin
FILE_BARU
CREATE
FOLDER_BARU
MKDIR
UPLOAD_FILE
GO
[ .. KEMBALI ]
π GET
β
X
π Mail
β
X
π [
β
X
π aclocal
β
X
π aclocal-1.16
β
X
π addr2line
β
X
π agentxtrap
β
X
π animate
β
X
π ar
β
X
π arch
β
X
π arpaname
β
X
π as
β
X
π aspell
β
X
π at
β
X
π atq
β
X
π atrm
β
X
π autoconf
β
X
π autoheader
β
X
π autom4te
β
X
π automake
β
X
π automake-1.16
β
X
π autoreconf
β
X
π autoscan
β
X
π autoupdate
β
X
π awk
β
X
π b2sum
β
X
π base32
β
X
π base64
β
X
π basename
β
X
π basenc
β
X
π bash
β
X
π bashbug-64
β
X
π batch
β
X
π bison
β
X
π bunzip2
β
X
π bzcat
β
X
π bzcmp
β
X
π bzdiff
β
X
π bzgrep
β
X
π bzip2
β
X
π bzip2recover
β
X
π bzless
β
X
π bzmore
β
X
π c++
β
X
π c++filt
β
X
π c89
β
X
π c99
β
X
π cagefs_enter.proxied
β
X
π cal
β
X
π captoinfo
β
X
π cat
β
X
π catchsegv
β
X
π cc
β
X
π chcon
β
X
π chgrp
β
X
π chmod
β
X
π chown
β
X
π chrt
β
X
π cksum
β
X
π cldetect
β
X
π clear
β
X
π cloudlinux-awp-user
β
X
π clusterdb
β
X
π clwpos-user
β
X
π cmp
β
X
π col
β
X
π colcrt
β
X
π colrm
β
X
π column
β
X
π comm
β
X
π compare
β
X
π composite
β
X
π conjure
β
X
π convert
β
X
π cp
β
X
π cpan
β
X
π cpp
β
X
π createdb
β
X
π createuser
β
X
π crontab
β
X
π crontab.cagefs
β
X
π csplit
β
X
π curl
β
X
π cut
β
X
π cyrusbdb2current
β
X
π date
β
X
π dbiprof
β
X
π dd
β
X
π delv
β
X
π df
β
X
π diff
β
X
π diff3
β
X
π dig
β
X
π dir
β
X
π dircolors
β
X
π dirname
β
X
π display
β
X
π dnstap-read
β
X
π dropdb
β
X
π dropuser
β
X
π du
β
X
π echo
β
X
π ed
β
X
π egrep
β
X
π enc2xs
β
X
π enchant
β
X
π enchant-lsmod
β
X
π env
β
X
π eps2eps
β
X
π eqn
β
X
π ex
β
X
π expand
β
X
π expr
β
X
π factor
β
X
π false
β
X
π fc-cache
β
X
π fc-cache-64
β
X
π fc-cat
β
X
π fc-conflist
β
X
π fc-list
β
X
π fc-match
β
X
π fc-pattern
β
X
π fc-query
β
X
π fc-scan
β
X
π fc-validate
β
X
π fgrep
β
X
π file
β
X
π find
β
X
π flex
β
X
π flex++
β
X
π flock
β
X
π fmt
β
X
π fold
β
X
π free
β
X
π freetype-config
β
X
π funzip
β
X
π g++
β
X
π gawk
β
X
π gcc
β
X
π gcc-ar
β
X
π gcc-nm
β
X
π gcc-ranlib
β
X
π gcov
β
X
π gcov-dump
β
X
π gcov-tool
β
X
π gem
β
X
π gencat
β
X
π geoiplookup
β
X
π geoiplookup6
β
X
π geqn
β
X
π getconf
β
X
π getent
β
X
π getopt
β
X
π ghostscript
β
X
π git
β
X
π git-receive-pack
β
X
π git-shell
β
X
π git-upload-archive
β
X
π git-upload-pack
β
X
π gm
β
X
π gmake
β
X
π gneqn
β
X
π gnroff
β
X
π gpg
β
X
π gpg-agent
β
X
π gpg-error
β
X
π gpgsplit
β
X
π gpgv
β
X
π gpic
β
X
π gprof
β
X
π grep
β
X
π groff
β
X
π grops
β
X
π grotty
β
X
π groups
β
X
π gs
β
X
π gsnd
β
X
π gsoelim
β
X
π gtar
β
X
π gtbl
β
X
π gtroff
β
X
π gunzip
β
X
π gzexe
β
X
π gzip
β
X
π h2ph
β
X
π h2xs
β
X
π head
β
X
π hexdump
β
X
π host
β
X
π hostid
β
X
π hostname
β
X
π hunspell
β
X
π iconv
β
X
π icu-config
β
X
π icu-config-64
β
X
π icuinfo
β
X
π id
β
X
π identify
β
X
π idn
β
X
π ifnames
β
X
π import
β
X
π infocmp
β
X
π infotocap
β
X
π install
β
X
π instmodsh
β
X
π ionice
β
X
π ipcrm
β
X
π ipcs
β
X
π isosize
β
X
π ispell
β
X
π join
β
X
π kill
β
X
π ld
β
X
π ld.bfd
β
X
π ldd
β
X
π less
β
X
π lessecho
β
X
π lesskey
β
X
π lesspipe.sh
β
X
π lex
β
X
π libnetcfg
β
X
π libtool
β
X
π libtoolize
β
X
π link
β
X
π ln
β
X
π locale
β
X
π localedef
β
X
π logger
β
X
π login
β
X
π logname
β
X
π look
β
X
π ls
β
X
π lto-dump
β
X
π m4
β
X
π mail
β
X
π mailx
β
X
π make
β
X
π make-dummy-cert
β
X
π mariadb
β
X
π mariadb-access
β
X
π mariadb-admin
β
X
π mariadb-binlog
β
X
π mariadb-check
β
X
π mariadb-conv
β
X
π mariadb-convert-table-format
β
X
π mariadb-dump
β
X
π mariadb-dumpslow
β
X
π mariadb-embedded
β
X
π mariadb-find-rows
β
X
π mariadb-hotcopy
β
X
π mariadb-import
β
X
π mariadb-plugin
β
X
π mariadb-secure-installation
β
X
π mariadb-setpermission
β
X
π mariadb-show
β
X
π mariadb-slap
β
X
π mariadb-tzinfo-to-sql
β
X
π mariadb-waitpid
β
X
π mcookie
β
X
π md5sum
β
X
π mesg
β
X
π mkdir
β
X
π mkfifo
β
X
π mknod
β
X
π mktemp
β
X
π mogrify
β
X
π montage
β
X
π more
β
X
π msql2mysql
β
X
π mv
β
X
π my_print_defaults
β
X
π mysql
β
X
π mysql_config
β
X
π mysql_find_rows
β
X
π mysql_waitpid
β
X
π mysqlaccess
β
X
π mysqladmin
β
X
π mysqlbinlog
β
X
π mysqlcheck
β
X
π mysqldump
β
X
π mysqlimport
β
X
π mysqlshow
β
X
π mytop
β
X
π namei
β
X
π nano
β
X
π neqn
β
X
π net-snmp-create-v3-user
β
X
π nice
β
X
π nl
β
X
π nm
β
X
π nohup
β
X
π nproc
β
X
π nroff
β
X
π nslookup
β
X
π nsupdate
β
X
π numfmt
β
X
π objcopy
β
X
π objdump
β
X
π od
β
X
π openssl
β
X
π pango-list
β
X
π pango-segmentation
β
X
π pango-view
β
X
π passenger
β
X
π passwd
β
X
π paste
β
X
π patch
β
X
π pathchk
β
X
π pdf2dsc
β
X
π pdf2ps
β
X
π perl
β
X
π perl5.32.1
β
X
π perlbug
β
X
π perldoc
β
X
π perlivp
β
X
π perlml
β
X
π perlthanks
β
X
π pg_dump
β
X
π pg_dumpall
β
X
π pg_restore
β
X
π pgrep
β
X
π php
β
X
π pic
β
X
π piconv
β
X
π ping
β
X
π pinky
β
X
π pkg-config
β
X
π pkill
β
X
π pl2pm
β
X
π pmap
β
X
π pod2html
β
X
π pod2man
β
X
π pod2text
β
X
π pod2usage
β
X
π podchecker
β
X
π post-grohtml
β
X
π pr
β
X
π pre-grohtml
β
X
π precat
β
X
π preunzip
β
X
π prezip
β
X
π prezip-bin
β
X
π printenv
β
X
π printf
β
X
π prove
β
X
π ps
β
X
π ps2ascii
β
X
π ps2epsi
β
X
π ps2pdf
β
X
π ps2pdf12
β
X
π ps2pdf13
β
X
π ps2pdf14
β
X
π ps2pdfwr
β
X
π ps2ps
β
X
π ps2ps2
β
X
π psql
β
X
π ptx
β
X
π pwd
β
X
π pwdx
β
X
π pydoc
β
X
π pydoc3
β
X
π pydoc3.9
β
X
π ranlib
β
X
π readelf
β
X
π readlink
β
X
π realpath
β
X
π recode
β
X
π red
β
X
π reindexdb
β
X
π rename
β
X
π renew-dummy-cert
β
X
π renice
β
X
π replace
β
X
π reset
β
X
π rev
β
X
π rm
β
X
π rmdir
β
X
π rnano
β
X
π ruby
β
X
π run-with-aspell
β
X
π runcon
β
X
π rvi
β
X
π rview
β
X
π scalar
β
X
π scl
β
X
π scl_enabled
β
X
π scl_source
β
X
π scp
β
X
π script
β
X
π sdiff
β
X
π sed
β
X
π selectorctl
β
X
π seq
β
X
π setsid
β
X
π setterm
β
X
π sftp
β
X
π sh
β
X
π sha1sum
β
X
π sha224sum
β
X
π sha256sum
β
X
π sha384sum
β
X
π sha512sum
β
X
π shred
β
X
π shuf
β
X
π size
β
X
π skill
β
X
π slabtop
β
X
π sleep
β
X
π snice
β
X
π snmpconf
β
X
π soelim
β
X
π sort
β
X
π spell
β
X
π splain
β
X
π split
β
X
π sprof
β
X
π sqlite3
β
X
π ssh
β
X
π ssh-add
β
X
π ssh-agent
β
X
π ssh-copy-id
β
X
π ssh-keygen
β
X
π ssh-keyscan
β
X
π stat
β
X
π stdbuf
β
X
π strace
β
X
π stream
β
X
π strings
β
X
π strip
β
X
π stty
β
X
π sum
β
X
π sync
β
X
π tabs
β
X
π tac
β
X
π tail
β
X
π tar
β
X
π taskset
β
X
π tbl
β
X
π tclsh
β
X
π tclsh8.6
β
X
π tee
β
X
π test
β
X
π tic
β
X
π timeout
β
X
π tload
β
X
π tmpwatch
β
X
π toe
β
X
π top
β
X
π touch
β
X
π tput
β
X
π tr
β
X
π troff
β
X
π true
β
X
π truncate
β
X
π tset
β
X
π tsort
β
X
π tty
β
X
π tzselect
β
X
π uapi
β
X
π ul
β
X
π uname
β
X
π unexpand
β
X
π uniq
β
X
π unlink
β
X
π unzip
β
X
π unzipsfx
β
X
π uptime
β
X
π users
β
X
π utmpdump
β
X
π vacuumdb
β
X
π vdir
β
X
π vi
β
X
π view
β
X
π vmstat
β
X
π watch
β
X
π wc
β
X
π wget
β
X
π whereis
β
X
π which
β
X
π who
β
X
π whoami
β
X
π word-list-compress
β
X
π x86_64-redhat-linux-c++
β
X
π x86_64-redhat-linux-g++
β
X
π x86_64-redhat-linux-gcc
β
X
π x86_64-redhat-linux-gcc-11
β
X
π xargs
β
X
π xmlcatalog
β
X
π xmllint
β
X
π xmlwf
β
X
π xsltproc
β
X
π xsubpp
β
X
π yes
β
X
π zcat
β
X
π zcmp
β
X
π zdiff
β
X
π zegrep
β
X
π zfgrep
β
X
π zforce
β
X
π zgrep
β
X
π zip
β
X
π zipcloak
β
X
π zipgrep
β
X
π zipinfo
β
X
π zipnote
β
X
π zipsplit
β
X
π zless
β
X
π zmore
β
X
π znew
β
X
π zsoelim
β
X
SAVING...
BERHASIL DIUBAH!
EDITING: ldd
#!/usr/bin/bash # Copyright (C) 1996-2021 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <https://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (GNU libc) 2.34' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2021" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<https://www.gnu.org/software/libc/bugs.html>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_LIBRARY_VERSION=\$verify_out" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following command substitution is needed to make ldd work in SELinux # environments where the RTLD might not have permission to write to the # terminal. The extra "x" character prevents the shell from trimming trailing # newlines from command substitution results. This function is defined as a # subshell compound list (using "(...)") to prevent parameter assignments from # affecting the calling shell execution environment. try_trace() ( output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc) rc=$? printf '%s' "${output%x}" return $rc ) case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then test -x "$file" || echo 'ldd:' $"\ warning: you do not have execution permission for" "\`$file'" >&2 RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi done case $ret in 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" >&2 result=1 } ;; 0|2) try_trace "$RTLD" "$file" || result=1 ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End:
SIMPAN PERUBAHAN